List a domain's DMARC reports

GET
/v1/domains/{id}/dmarc/reports

The aggregate reports received about the domain, newest first, without their rows (retrieve one for those). Pass the last id as after to get the next page while has_more is true. Mailbox providers send DMARC aggregate reports to the domain's report_address once its _dmarc record names it (rua=mailto:…), usually once a day each.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The domain's id.

Query Parameters

limit?integer

1-100, default 20.

Range1 <= value <= 100
after?string

Cursor: the id of the last report of the previous page.

Lengthlength <= 64

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

A page of DMARC reports.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.domains.dmarc.reports.list("dom_01k7c8m4q2f3e9v6t5r1n0p8yz");
{  "object": "list",  "data": [    {      "object": "dmarc_report",      "id": "dmarcrep_01k7c8m4q2f3e9v6t5r1n0p8yz",      "domain_id": "dom_01k7c8m4q2f3e9v6t5r1n0p8yz",      "reporter": {        "org_name": "google.com",        "email": "noreply-dmarc-support@google.com"      },      "report_id": "13845021974128475",      "period_start": "2026-10-09T00:00:00.000Z",      "period_end": "2026-10-09T23:59:59.000Z",      "policy_published": {        "domain": "acme.com",        "p": "none",        "sp": null,        "np": null,        "adkim": "r",        "aspf": "r",        "pct": 100,        "testing": null      },      "messages": 1204,      "passing": 1200,      "truncated": false,      "received_at": "2026-10-10T03:12:44.000Z"    }  ],  "has_more": false}